## ros-kinetic-ps4eye 0.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ps4eye)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY launch script camera_info
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)

install(FILES 91-ps4eye.rules
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-ps4eye (0.0.4-1xenial) xenial; urgency=high

  * Fix create_udev_rules option. Change README.md.
  * Add udev install script.
  * Automatically loading firmware.
  * all need is to run create_udev_rules script.
  * add viewer argment to stereo.launch. Set true to bring up stereo viewer.
  * Add ps4eye/ps4eye files and update README.md contents.
  * using  to nodelet manager name
  * use gscam nodelet instead of gscam node
  * use load_driver, instead of setting DEVICE false to check use real camera
  * Contributors: Hiroaki Yaguchi, Ron Tajima

 -- Ron Tajima <ryosuke.tajima@gmail.com>  Sun, 29 Mar 2015 15:00:00 -0000

ros-kinetic-ps4eye (0.0.3-1xenial) xenial; urgency=high

  * Merge pull request #9 <https://github.com/longjie/ps4eye/issues/9> from hyaguchijsk/bagfile_player_mode
    Bagfile player mode
  * if DEVICE is false, gscam does not run, to use bag file including /camera/{image_raw,camera_info}
  * add arg PUBLISH_TF, if false static_transform_publisher will not run.
  * Merge pull request #8 <https://github.com/longjie/ps4eye/issues/8> from hyaguchijsk/using_nodelet_for_stereo_image_proc
    Great!
    change stereo_image_proc from node to nodelet
  * change stereo_image_proc from node to nodelet
  * Merge pull request #7 <https://github.com/longjie/ps4eye/issues/7> from hyaguchijsk/add_camera_info_file_left_and_right_args
    add arguments camera_info_file_{left,right} to set calib files when incl...
  * add arguments camera_info_file_{left,right} to set calib files when including stereo.launch
  * 0.0.2
  * Merge pull request #5 <https://github.com/longjie/ps4eye/issues/5> from k-okada/add_init
    update CHANGELOG
  * update CHANGELOG
  * Merge pull request #4 <https://github.com/longjie/ps4eye/issues/4> from k-okada/use_param_for_camera_info_yaml
    use param to set camera_info
  * Merge pull request #2 <https://github.com/longjie/ps4eye/issues/2> from k-okada/for_release
    update for release
  * Merge pull request #1 <https://github.com/longjie/ps4eye/issues/1> from k-okada/patch-1
    Update README.md
  * Merge pull request #3 <https://github.com/longjie/ps4eye/issues/3> from k-okada/add_arg_in_launch
    add arg for camera_info and camera_transformation
  * use param to set camera_info
  * add run_depends
  * add arg for camera_info and camera_transformation
  * add install rule
  * add license and author
  * Update README.md
    ps4eys_init は ps4_init.py ??? -> https://github.com/ps4eye/ps4eye/tree/master/python
  * Contributors: Hiroaki Yaguchi, Kei Okada, Ron Tajima

 -- Ron Tajima <ryosuke.tajima@gmail.com>  Sun, 15 Mar 2015 15:00:00 -0000

ros-kinetic-ps4eye (0.0.2-1xenial) xenial; urgency=high

  * use param to set camera_info
  * add run_depends
  * add arg for camera_info and camera_transformation
  * add install rule
  * add license and author
  * Update README.md (ps4eys_init is ps4_init.py)
  * Contributors: Kei Okada, Ron Tajima

 -- Ron Tajima <ryosuke.tajima@gmail.com>  Wed, 07 Jan 2015 15:00:00 -0000

ros-kinetic-ps4eye (0.0.1-1xenial) xenial; urgency=high

  * I found kenel 3.16 does not detect ps4eye, update document
  * Update README.md
  * change to use rospack.find to locate camera_info.
  * Merge branch 'camera_config'
  * add camera_info to camera_info directory.
  * add README. add stereo_image_proc to launch file.
  * add ps4eye: Playstation4 stereo camera launching set for ROS.
  * Contributors: Ron Tajima, Ryohei Ueda,

 -- Ron Tajima <ryosuke.tajima@gmail.com>  Sat, 27 Dec 2014 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-ps4eye
Section: misc
Priority: extra
Maintainer: Ron Tajima <ryosuke.tajima@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://wiki.ros.org/ps4eye
Standards-Version: 3.9.2

Package: ros-kinetic-ps4eye
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-gscam, ros-kinetic-image-proc, ros-kinetic-stereo-image-proc, ros-kinetic-tf
Description: The ps4eye package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-ps4eye//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
